//
//  AccelerometerViewController.m
//  Accelerometer
//
//  Created by Alasdair Allan on 29/09/2009.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "AccelerometerViewController.h"

@implementation AccelerometerViewController


- (void)viewDidLoad {	
	accelerometer = [UIAccelerometer sharedAccelerometer];
	accelerometer.updateInterval = 0.1;
	accelerometer.delegate = self;	
	[super viewDidLoad];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

- (void)dealloc {
	[xLabel release];
	[yLabel release];
	[zLabel release];
	[xBar release];
	[yBar release];
	[zBar release];	

	accelerometer.delegate = nil;
	[accelerometer release];

	[super dealloc];
}

#pragma mark UIAccelerometer Methods

- (void)accelerometer:(UIAccelerometer *)meter didAccelerate:(UIAcceleration *)acceleration {
	xLabel.text = [NSString stringWithFormat:@"%f", acceleration.x];
	xBar.progress = ABS(acceleration.x);

	yLabel.text = [NSString stringWithFormat:@"%f", acceleration.y];
	yBar.progress = ABS(acceleration.y);

	zLabel.text = [NSString stringWithFormat:@"%f", acceleration.z];
	zBar.progress = ABS(acceleration.z);
	
}

@end
