//
//  CityController.m
//  CityGuide
//
//  Created by Alasdair Allan on 10/08/2009.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "CityController.h"
#import "CityGuideDelegate.h"
#import "City.h"

@implementation CityController

- (id)initWithIndexPath: (NSIndexPath *)indexPath {
	
	if ( self == [super init] ) {
		index = indexPath;
	}
	return self;
	
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidLoad {
	CityGuideDelegate *delegate = (CityGuideDelegate *)[[UIApplication sharedApplication] delegate];
	City *thisCity = [delegate.cities objectAtIndex:index.row];
		
	self.title = thisCity.cityName;
	descriptionView.text = thisCity.cityDescription;
	descriptionView.editable = NO;
	
	UIImage *image = thisCity.cityPicture;
	if ( image == nil ) {
		image =[UIImage imageNamed:@"QuestionMark.jpg"];
	}
	pictureView.image = image;
	
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[index release];
	[descriptionView release];
	[pictureView release];
    [super dealloc];
}


@end
