//
//  CityGuideAppDelegate.m
//  CityGuide
//
//  Created by Alasdair Allan on 07/08/2009.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "CityGuideDelegate.h"
#import "RootController.h"
#import "City.h";

@implementation CityGuideDelegate

@synthesize window;
@synthesize viewController;
@synthesize cities;
@synthesize navController;

- (void)applicationDidFinishLaunching:(UIApplication *)application {    
    
	City *london = [[City alloc] init];
	london.cityName = @"London";
	london.cityDescription = @"London is the capital of the United Kingdom and England. It has been an influential city for two millennia and its history goes back to its founding by the Romans then named Londinium. The city's core, the ancient City of London, still retains its limited medieval boundaries. However, since at least the nineteenth century, the name 'London' has also referred to the whole metropolis that has developed around it. Today the bulk of this conurbation forms the London region and the Greater London administrative area, with its own elected mayor and assembly.";
	london.cityPicture = [UIImage imageNamed:@"London.jpg"];
	
	City *newYork = [[City alloc] init];
	newYork.cityName = @"New York";
	newYork.cityDescription = @"New York is the most populous city in the United States, and the center of the New York metropolitan area, which is among the most populous urban areas in the world. A leading global city, New York exerts a powerful influence over worldwide commerce, finance, culture, fashion and entertainment. As host of the United Nations headquarters, it is also an important center for international affairs. The city is often referred to as New York City to differentiate it from the state of New York, of which it is a part.";
	newYork.cityPicture = [UIImage imageNamed:@"NewYork.jpg"];
	
	City *sydney = [[City alloc] init];
	sydney.cityName = @"Sydney";
	sydney.cityDescription = @"Sydney is the largest city in Australia, with a metropolitan area population of approximately 4.34 million (2008 estimate). It is the state capital of New South Wales, and was the site of the first British colony in Australia. Situated on an inlet of the Tasman Sea, Sydney is built on low hills surrounding Port Jackson. It was established in 1788 at Sydney Cove by Arthur Phillip, commodore of the First Fleet from Britain. A resident of the city is referred to colloquially as a Sydneysider.";
	sydney.cityPicture = [UIImage imageNamed:@"Sydney.jpg"];
	
	City *madrid = [[City alloc] init];
	madrid.cityName = @"Madrid";
	madrid.cityDescription = @"Madrid is the capital and largest city of Spain. It is the third-most populous municipality in the European Union after Greater London and Berlin, and its metropolitan area is the third-most populous city by urban area in the European Union after Paris and the London.";
	madrid.cityPicture = [UIImage imageNamed:@"Madrid.jpg"];
	
	self.cities = [[NSMutableArray alloc] initWithObjects:london, newYork, sydney, madrid, nil];
	[london release];
	[newYork release];
	[sydney release];
	[madrid release];
	
    // Override point for customization after app launch    
	navController.viewControllers = [NSArray arrayWithObject:viewController];
    [window addSubview:navController.view];
    [window makeKeyAndVisible];
}


- (void)dealloc {
    [viewController release];
    [window release];
	[cities release];
    [super dealloc];
}


@end
